2019-11-21 13:52 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000380mercuryBugpublic2015-02-28 14:18
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000380: mercury_string.h not always included in high-level C grades
Descriptionmercury_string.h is not always included by the generated C file unless the module imports the string module, but the compiler may generate references to macros defined in that file. The easiest fix would be to include mercury_string.h in mercury.h

% mmc -s hlc.gc -c words
words.m: In function ‘words__word_1_p_0’:
words.m:12:7: warning: implicit declaration of function ‘MR_nth_code_unit’ [-Wimplicit-function-declaration]
 word("aback").
       ^
words.m:12:17: warning: implicit declaration of function ‘MR_offset_streq’ [-Wimplicit-function-declaration]
 word("aback").
TagsNo tags attached.
Attached Files
  • ? file icon words.m (603 bytes) 2015-02-25 15:55

-Relationships
+Relationships

-Notes

~0000816

zs (developer)

Fix committed 2015 feb 27.
+Notes

-Issue History
Date Modified Username Field Change
2015-02-25 15:55 wangp New Issue
2015-02-25 15:55 wangp File Added: words.m
2015-02-27 14:14 zs Assigned To => zs
2015-02-27 14:14 zs Status new => assigned
2015-02-28 14:18 zs Note Added: 0000816
2015-02-28 14:18 zs Status assigned => resolved
2015-02-28 14:18 zs Resolution open => fixed
+Issue History